Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Plasma-workspace-5.9.2 fails to emerge
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hlng
n00b
n00b


Joined: 13 Sep 2017
Posts: 2

PostPosted: Wed Sep 13, 2017 6:12 pm    Post subject: [Solved] Plasma-workspace-5.9.2 fails to emerge Reply with quote

Updating an old laptop from kde4 to kde5 following the guides has worked fine - until plasma-workspace:

Emerge paste

Seems to me that the following is failing:
Code:

AutoMoc: Error: "/var/tmp/portage/kde-plasma/plasma-workspace-5.9.2/work/plasma-workspace-5.9.2/shell/containmentconfigview.cpp"
The file includes the moc file "private/moc_containmentconfigview.cpp", but could not find header "containmentconfigview{.h,.hh,.h++,.hm,.hpp,.hxx,.in,.txx}"


That has made the update come to an absolute halt, and baffles me. Two days of searching for a solution to no avail. Anybody have any ideas what's going on?


Last edited by hlng on Wed Sep 13, 2017 7:22 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21712
Location: here

PostPosted: Wed Sep 13, 2017 6:18 pm    Post subject: Reply with quote

Sync your portage tree last stable plasma is 5.10.5 and this error probably is fixed
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6948
Location: Austria

PostPosted: Wed Sep 13, 2017 7:02 pm    Post subject: Reply with quote

How, on Sep 13th, is it possible for someone to do an upgrade to packages that were dropped on Feb 28th?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
hlng
n00b
n00b


Joined: 13 Sep 2017
Posts: 2

PostPosted: Wed Sep 13, 2017 7:21 pm    Post subject: Reply with quote

Thanks for the replies!

The pointer to a obsolete portage tree got me on to it - this is a gentoo installation gone funtoo - and what I have missed completely is the new meta-repo. And that should probably answer your question asturm.

If you are a funtoo user ending up here with similar problems:
https://github.com/funtoo/meta-repo

Well, going to be a long night.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum